#!/bin/sh -e
### BEGIN INIT INFO
# Provides:          exfat
# Required-Start:    $local_fs $remote_fs $network
# Required-Stop:     $local_fs $remote_fs $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Check exfat status.
### END INIT INFO

PROGRAM_NAME=exfatctrl
PKG_PATH=/usr/local/AppCentral/exfat
EXFATCTL_PATH=$PKG_PATH/bin/$PROGRAM_NAME

case "$1" in
    start)
        echo "Check exfat status" "$PROGRAM_NAME"
        $EXFATCTL_PATH -status
        ;;
    stop)
        # echo "Stopping onedrive daemon" "$PROGRAM_NAME"
        # $EXFATCTL_PATH -status
		;;
    restart)
        echo "Restarting onedrive daemon" "$PROGRAM_NAME"
        $0 start
        ;;
    *)
        echo "usage: $0 {start|stop|restart}"
        exit 2
        ;;
esac

exit 0

